#
# spec file for package ctapi-cyberjack (Version 0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ctapi-cyberjack
Summary:      CT-API for Reiner SCT Cyberjack USB-SmartCard Reader
Version:      0.9
Release:      27
Copyright: 	LGPL
Group: 		Development/Libraries
Source: 	cyberjack.tar.gz
Buildroot: 	/var/tmp/cyberjack-%{Version}-root
Requires:	scez
%define prefix 		/usr
%define readers_dir	%{prefix}/lib/readers/

%description
This package is the CT-API driver for the USB version of the Cyberjack
smart card reader from Reiner SCT.
This library is thread safe for programms accessing different readers at
different ports, but it is not thread save regarding multiple threads
accessing the same reader. (In this case there are surely much severe
problems than the thread safety of this library.)
Another limitation is the maximum supported command lengths of the
ISO7816-4 short format, I know no cards where this could be a problem.

Authors:
--------
    Matthias Bruestle <m@mbsks.franken.de>

SuSE series: sec

%prep
%setup -n cyberjack

%build
cd user
make -f Makefile clean
make -f Makefile all

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/%{readers_dir}
install -m 755 user/libctapi.so $RPM_BUILD_ROOT/%{readers_dir}/libctapi-cyberjack.so.%{version}
( cd $RPM_BUILD_ROOT/%{readers_dir}; ln -s libctapi-cyberjack.so.%{version} libctapi-cyberjack.so )
( cd $RPM_BUILD_ROOT/%{readers_dir}; ln -s libctapi-cyberjack.so libctapi.so )
mkdir -p $RPM_BUILD_ROOT/%{prefix}/include
install -m 644 user/ctapi.h $RPM_BUILD_ROOT/%{prefix}/include/ctapi.h

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT.GPL COPYRIGHT.LGPL
/%{readers_dir}/libctapi-cyberjack.so.%{version}
/%{readers_dir}/libctapi-cyberjack.so
/%{readers_dir}/libctapi.so
/%{prefix}/include/ctapi.h

%changelog -n ctapi-cyberjack
* Mon Aug 27 2001 - kukuk@suse.de
- Remove ExclusiveArchitecture from spec file
* Sun Aug 26 2001 - mge@suse.de
- adopted package to SuSE build system
* Sun Jun 03 2001 - mge@suse.de
- First version of the SPEC file.
